<template>
  <div class="main-content m20">
    <div class="content-header">
      <div v-if="tabName == 'market'" class="body search-body">
        <el-row style="margin-bottom:10px">
          <el-col :span="8">
            <el-row>
              <label class="label-name_2">企业名称：</label>
              <div class="search-input-box_2">
                <el-input v-model="searchAbnForm.entName" clearable type="text" class="search-input" placeholder="请输入名称（模糊）" @keyup.enter.native="search" />
              </div>
            </el-row>
          </el-col>
          <el-col :span="8">
            <el-row>
              <label class="label-name_1">注册号/统一码：</label>
              <div class="search-input-box_1">
                <el-input v-model="searchAbnForm.searchUscc" clearable type="text" class="search-input" placeholder="请输入注册号/统一码" @keyup.enter.native="search" />
              </div>
            </el-row>
          </el-col>
          <el-col :span="8">
            <el-row>
              <label class="label-name_1">列入机关：</label>
              <el-select v-model="searchAbnForm.intoDecorg" clearable size="mini" placeholder="请选择列入机关" class="custom">
                <el-option
                  v-for="item in orgMarketList"
                  :key="item.orgNumber"
                  :label="item.label"
                  :value="item.value"
                />
              </el-select>
            </el-row>
          </el-col>

        </el-row>
        <el-row style="margin-bottom:10px">
          <el-col :span="8">
            <el-row>
              <label class="label-name_1">列入原因：</label>
              <el-select v-model="searchAbnForm.specause" clearable size="mini" placeholder="请选择列入原因" class="custom">
                <el-option
                  v-for="item in reasonList"
                  :key="item.value"
                  :label="item.label"
                  :value="item.value"
                />
              </el-select>
            </el-row>
          </el-col>
          <el-col :span="8">
            <el-row>
              <label class="label-name_3">列入日期：</label>
              <el-date-picker
                v-model="searchAbnForm.searchIntoDate"
                size="mini"
                value-format="yyyy-MM-dd"
                type="daterange"
                range-separator="至"
                start-placeholder="开始日期"
                end-placeholder="结束日期"
                class="custom"
              />
            </el-row>
          </el-col>
          <el-col :span="8">
            <el-row>
              <label class="label-name_1">移出机关：</label>
              <el-select v-model="searchAbnForm.redecorg" clearable size="mini" placeholder="请选择移出机关" class="custom">
                <el-option
                  v-for="item in orgMarketList"
                  :key="item.value"
                  :label="item.label"
                  :value="item.value"
                />
              </el-select>
            </el-row>
          </el-col>
        </el-row>
        <el-row style="margin-bottom:10px">
          <el-col :span="8">
            <el-row>
              <label class="label-name_3">移出日期：</label>
              <el-date-picker
                v-model="searchAbnForm.searchRemDate"
                size="mini"
                value-format="yyyy-MM-dd"
                type="daterange"
                range-separator="至"
                start-placeholder="开始日期"
                end-placeholder="结束日期"
                class="custom"
              />
            </el-row>
          </el-col>
          <el-col :span="8">
            <el-row>
              <label class="label-name_3">管理片区：</label>
              <el-cascader
                v-model="searchAbnForm.regulatory"
                :show-all-levels="false"
                size="mini"
                class="custom"
                style="width: 100%"
                :options="sliceOptions"
                :props="{ checkStrictly: true }"
                clearable
                filterable
              />
            </el-row>
          </el-col>
          <el-col :span="8">
            <el-row>
              <label class="label-name_1">主体类型：</label>
              <el-select v-model="searchAbnForm.entType" clearable size="mini" placeholder="请选择主体类型" class="custom">
                <el-option
                  v-for="item in entTypeOptions"
                  :key="item.value"
                  :label="item.label"
                  :value="item.value"
                />
              </el-select>
             </el-row>
          </el-col>
        </el-row>
        <el-row style="margin-bottom:10px">
          <el-col :span="8">
            <el-row>
              <label class="label-name_1">异常状态：</label>
              <el-select v-model="searchAbnForm.operatestatus" clearable size="mini" placeholder="请选择异常状态" class="custom">
                <el-option
                  v-for="item in operatestatusOptions"
                  :key="item.value"
                  :label="item.label"
                  :value="item.value"
                />
              </el-select>
             </el-row>
          </el-col>
          <el-col :span="8">
            <el-row>
              <label class="label-name_1">主体状态(国标):</label>
              <el-select v-model="searchAbnForm.regstate" clearable size="mini" placeholder="请选择" class="custom">
                <el-option
                  v-for="item in REGSTATEList"
                  :key="item.code"
                  :label="item.name"
                  :value="item.code"
                />
              </el-select>
            </el-row>
          </el-col>
        </el-row>
        <el-row style="margin-bottom:10px">
          <el-col :span="5">
            <div class="btn-box" style="font-size: 14px;float:right;">
              <el-button size="mini" type="primary" @click="searchAbnList" :loading="abnLoading">查询</el-button>
              <el-button size="mini" @click="searchAbnForm.searchIntoDate = '';searchAbnForm.entName='';searchAbnForm.searchUscc='';searchAbnForm.intoDecorg='';searchAbnForm.specause='';searchAbnForm.redecorg='';searchAbnForm.searchRemDate='';searchAbnForm.operatestatus='';searchAbnForm.entType=''">重置</el-button>
            </div>
          </el-col>
        </el-row>
      </div>
    </div>
    <div v-if="tabName == 'market'" class="content-body">
      <div style="margin-bottom: 10px;margin-right: 50px;text-align:right">
        <el-button  type="primary"  size="mini" @click="exportAbnListFile()" :loading="abnLoading">导出Excel</el-button>
      </div>
      <el-table
        ref="multipleTable"
        v-loading="abnLoading"
        :data="abnTableData"
        tooltip-effect="dark"
        style="width: 95%;margin:0 auto"
        :fit="true"
        :row-class-name="tableRowClassName"
        :header-cell-style="{background:'#8cc3fb',color:'#fff'}"
        @selection-change="handleSelectionChange"
      >
        <el-table-column prop="index" label="序号" min-width="30" align="center" />
        <el-table-column prop="entname" :show-overflow-tooltip="true" label="主体名称" min-width="90" align="left" />
        <el-table-column prop="enttypeCN" :show-overflow-tooltip="true" label="企业类型" min-width="90" align="left" />
        <el-table-column prop="spereasons" :show-overflow-tooltip="true" label="列入原因" min-width="120" align="left" />
        <el-table-column prop="abntime" label="列入日期" min-width="40" align="left"/>
        <el-table-column prop="intoDecorg" :show-overflow-tooltip="true" label="列入作出决定机关" min-width="60" align="left"  />
        <el-table-column prop="operatestatus" label="异常状态" min-width="40" align="left" />
        <el-table-column prop="remdate" label="移出时间" min-width="40" align="left" />
        <el-table-column prop="reDecorg" :show-overflow-tooltip="true" label="移出决定机关" min-width="60" align="left"  />
      </el-table>
      <div class="page-box">
        <el-pagination
          :disabled="abnLoading"
          :page-size="pageAbnParam.pageSize"
          :total="pageAbnParam.total"
          :current-page="pageAbnParam.curPage"
          :page-sizes="[10, 20, 30, 40,50,100,200]"
          layout="slot,total, sizes, prev, pager, next, jumper"
          @size-change="pageSizeChangeAbn"
          @current-change="pageIndexChangeAbn"
        >
          <!-- <batchFunction :options="options" style="float:left" /> -->
          <span>
            第 {{ pageAbnParam.curPage }} 页 /
            共 {{ (pageAbnParam.total !== 0 ? parseInt((pageAbnParam.total + pageAbnParam.pageSize - 1)/pageAbnParam.pageSize) : 1) }} 页
          </span>
        </el-pagination>
      </div>
    </div>
  </div>
</template>

<script>
import { businessQuery, queryAllOrg, queryOldeBusness, queryAbnList, exportAbnListFile } from '@/api/comprehensive'
import { isPassDissentApply } from '@/api/abnormal'
import { getConstant, getSliceTreeList } from '@/api/system'
import { getBaseCodeList } from '@/api/constant'

export default {
  data() {
    return {
      // reasonList: [{
      //   value: '1',
      //   label: '未按照《企业信息公示暂行条例》第八条规定的期限公示年度报告的'
      // }, {
      //   value: '3',
      //   label: '公示企业信息隐瞒真实情况、弄虚作假的'
      // }],
      ressonList: [],
      sliceOptions: [],
      tabName: 'market',
      tabBusType: '',
      tabPosition: 'current',
      currentData: [],
      historyData: [],
      historyloading: false,
      orgList: [],
      orgMarketList: [
        {
          value: '市局',
          label: '广州市市场监督管理局'
        },{
          value: '荔湾',
          label: '广州市荔湾区市场监督管理局'
        },{
          value: '越秀',
          label: '广州市越秀区市场监督管理局'
        },{
          value: '海珠',
          label: '广州市海珠区市场监督管理局'
        },{
          value: '白云',
          label: '广州市白云区市场监督管理局'
        },{
          value: '黄埔',
          label: '广州市黄埔区市场监督管理局'
        },{
          value: '花都',
          label: '广州市花都区市场监督管理局'
        },{
          value: '从化',
          label: '广州市从化区市场监督管理局'
        },{
          value: '增城',
          label: '广州市增城区市场监督管理局'
        },{
          value: '番禺',
          label: '广州市番禺区市场监督管理局'
        },{
          value: '南沙',
          label: '广州市南沙区市场监督管理局'
        },{
          value: '天河',
          label: '广州市天河区市场监督管理局'
        },{
          value: '注册二处',
          label: '广州市市场监督管理局登记注册二处'
        }
      ],
      showMore: false,
      searchNameP: '',
      busyTypes: [],
      searchForm: {
        uniscid: '',
        acceptno: '',
        searchName: '',
        busType: '',
        busStatus: '',
        searchDate: '',
        bustypeAndCurrentNode: [],
        orgNumber: ''
      },
      searchAbnForm: {
        searchUscc: '',
        entName: '',
        searchIntoDate: '',
        searchRemDate: '',
        intoDecorg: '',
        redecorg: '',
        specause: '',
        entType:'',
        operatestatus:''
      },
      loading: false,
      abnLoading: false,
      tableData: [],
      abnTableData: [],
      busstatusOptions: [{
        value: '1',
        label: '待受理'
      }, {
        value: '2',
        label: '待审核'
      }, {
        value: '3',
        label: '待审批'
      }, {
        value: '4',
        label: '审批通过'
      }, {
        value: '5',
        label: '审批不通过'
      }, {
        value: '6',
        label: '材料补正'
      }, {
        value: '7',
        label: '作废办结'
      }],
      bustypeOptions: [],
      // bustypeOptions: [{
      //   value: '71',
      //   label: '企业地址批量列入'/*,
      //   children: [
      //     { value: 'exptlistEnter', label: '待受理' },
      //     { value: 'handleExptlist', label: '待审核' },
      //     { value: 'approvelist', label: '待审批' },
      //     { value: 'endExptlist', label: '审批通过' },
      //     { value: 'overExptlist', label: '审批不通过' }]*/
      // }, {
      //   value: '72',
      //   label: '个体户地址批量列入'/*,
      //   children: [
      //     { value: 'exptlistEnter', label: '待受理' },
      //     { value: 'handleExptlist', label: '待审核' },
      //     { value: 'approvelist', label: '待审批' },
      //     { value: 'endExptlist', label: '审批通过' },
      //     { value: 'overExptlist', label: '审批不通过' }]*/
      // }, {
      //   value: '73',
      //   label: '农合地址批量列入'/*,
      //   children: [
      //     { value: 'exptlistEnter', label: '待受理' },
      //     { value: 'handleExptlist', label: '待审核' },
      //     { value: 'approvelist', label: '待审批' },
      //     { value: 'endExptlist', label: '审批通过' },
      //     { value: 'overExptlist', label: '审批不通过' }]*/
      // }, {
      //   value: '5',
      //   label: '企业异常名录列入'/*,
      //   children: [
      //     { value: 'exptlistEnter', label: '待受理' },
      //     { value: 'clueReturn', label: '线索回退' },
      //     { value: 'handleExptlist', label: '待审核' },
      //     { value: 'approvelist', label: '待审批' },
      //     { value: 'overNullify', label: '作废' },
      //     { value: 'endExptlist', label: '审批通过' },
      //     { value: 'overExptlist', label: '审批不通过' }]*/
      // }, {
      //   value: '6',
      //   label: '企业异常名录异议'/*,
      //   children: [
      //     { value: 'noAccept', label: '不予受理' },
      //     { value: 'endDissent', label: '审批通过' },
      //     { value: 'overDissent', label: '审批不通过' }]*/
      // }, {
      //   value: '7',
      //   label: '企业异常名录移出'/*,
      //   children: [
      //     { value: 'endExptlist', label: '审批通过' },
      //     { value: 'overExptlist', label: '审批不通过' }]*/
      // }, {
      //   value: '11',
      //   label: '个体工商户标记'/*,
      //   children: [
      //     { value: 'endExptlist', label: '审批通过' },
      //     { value: 'overExptlist', label: '审批不通过' }]*/
      // }, {
      //   value: '12',
      //   label: '个体工商户恢复'/*,
      //   children: [
      //     { value: 'endExptlist', label: '审批通过' },
      //     { value: 'overExptlist', label: '审批不通过' }]*/
      // }, {
      //   value: '13',
      //   label: '农民专业合作社列入'/*,
      //   children: [
      //     { value: 'endExptlist', label: '审批通过' },
      //     { value: 'overExptlist', label: '审批不通过' }]*/
      // }, {
      //   value: '14',
      //   label: '农民专业合作社移出'/*,
      //   children: [
      //     { value: 'endExptlist', label: '审批通过' },
      //     { value: 'overExptlist', label: '审批不通过' }]*/
      // }, {
      //   value: '15',
      //   label: '严重违法失信列入'/*,
      //   children: [
      //     { value: 'endSerIllegal', label: '审批通过' },
      //     { value: 'overSerIllegal', label: '审批不通过' }]*/
      // }, {
      //   value: '16',
      //   label: '严重违法失信异议'/*,
      //   children: [
      //     { value: 'noAccept', label: '不予受理' },
      //     { value: 'endDissent', label: '审批通过' },
      //     { value: 'overDissent', label: '审批不通过' }]*/
      // },
      // {
      //   value: '33',
      //   label: '严重违法信用修复'/*,
      //   children: [
      //     { value: 'serIllegalEnter', label: '待受理' },
      //     { value: 'handleSerIllegal', label: '待审核' },
      //     { value: 'approveSerIllegal', label: '待审批' },
      //     { value: 'endSerIllegal', label: '审批通过' },
      //     { value: 'overSerIllegal', label: '审批不通过' }
      //   ]*/
      // }, {
      //   value: '51',
      //   label: '批量吊销'/*,
      //   children: [
      //     // { value: '0', label: '名单导入' },
      //     { value: '1', label: '立案审批-待受理' },
      //     { value: '2', label: '立案审批-待审核' },
      //     { value: '3', label: '立案审批-待审批' },
      //     { value: '4', label: '调查与听证-待受理' },
      //     // { value: '5', label: '调查-待审核' },
      //     // { value: '6', label: '调查-待审批' },
      //     // { value: '7', label: '听证告知-待受理' },
      //     { value: '8', label: '调查与听证-待审核' },
      //     { value: '24', label: '调查与听证-法规部门分派' },
      //     { value: '25', label: '调查与听证-法规部门经办' },
      //     { value: '26', label: '调查与听证-法规部门审核' },
      //     { value: '9', label: '调查与听证-待审批' },
      //     { value: '10', label: '行政处罚决定-待受理' },
      //     { value: '11', label: '行政处罚决定-待审核' },
      //     { value: '27', label: '行政处罚决定-法规部门分派' },
      //     { value: '28', label: '行政处罚决定-法规部门经办' },
      //     { value: '29', label: '行政处罚决定-法规部门审核' },
      //     { value: '13', label: '行政处罚决定-待审批' },
      //     { value: '14', label: '归档' },
      //     // { value: '15', label: '送达-待审核' },
      //     // { value: '16', label: '送达-待审批' },
      //     { value: 'noRegister', label: '案件终结' },
      //     { value: 'endRevoke', label: '审批通过' },
      //     { value: 'overRevoke', label: '审批不通过' }]*/
      // }, {
      //   value: '52',
      //   label: '撤销'/*,
      //   children: [
      //     { value: 'revCancelEnter', label: '待受理' },
      //     { value: 'handleRevCancel', label: '待审核' },
      //     { value: 'approveRevCancel', label: '待审批' },
      //     { value: 'endRevCancel', label: '审批通过' },
      //     { value: 'overRevCancel', label: '审批不通过' }]*/
      // }, {
      //   value: '53',
      //   label: '复议'/*,
      //   children: [
      //     { value: 'revCancelEnter', label: '待受理' },
      //     { value: 'handleRevCancel', label: '待审核' },
      //     { value: 'approveRevCancel', label: '待审批' },
      //     { value: 'endRevCancel', label: '审批通过' },
      //     { value: 'overRevCancel', label: '审批不通过' }]*/
      // }, {
      //   value: '54',
      //   label: '诉讼'/*,
      //   children: [
      //     { value: 'revCancelEnter', label: '待受理' },
      //     { value: 'handleRevCancel', label: '待审核' },
      //     { value: 'approveRevCancel', label: '待审批' },
      //     { value: 'endRevCancel', label: '审批通过' },
      //     { value: 'overRevCancel', label: '审批不通过' }
      //   ]*/
      // }, {
      //   value: '61',
      //   label: '联合惩戒锁定'/*,
      //   children: [
      //     { value: 'endPunish', label: '审批通过' },
      //     { value: 'overPunish', label: '审批不通过' }]*/
      // }, {
      //   value: '62',
      //   label: '联合惩戒解锁'/*,
      //   children: [
      //     { value: 'endPunish', label: '审批通过' },
      //     { value: 'overPunish', label: '审批不通过' }]*/
      // }, {
      //   value: '31',
      //   label: '撤销登记案件'/*,
      //   children: [
      //     { value: 'startAccept', label: '登记-待受理' },
      //     { value: 'handleCancel', label: '登记-待审核' },
      //     { value: 'approvalCancel', label: '登记-待审批' },
      //     { value: 'cancelShow', label: '公示中' },
      //     { value: 'caseEnter', label: '结果录入-待受理' },
      //     { value: 'handleCase', label: '结果录入-待审核' },
      //     { value: 'approvalCase', label: '结果录入-待审批' },
      //     { value: 'endCase', label: '审批通过' },
      //     { value: 'overCase', label: '审批不通过' }]*/
      // }, {
      //   value: '40',
      //   label: '列异勘误'/*,
      //   children: [
      //     { value: 'feedbackEnter', label: '待受理' },
      //     { value: 'handleFeedback', label: '待审核' },
      //     { value: 'approvelist', label: '待审批' },
      //     { value: 'endFeedback', label: '审批通过' },
      //     { value: 'overFeedback', label: '审批不通过' }]*/
      // }, {
      //   value: '41',
      //   label: '列严勘误'/*,
      //   children: [
      //     { value: 'feedbackEnter', label: '待受理' },
      //     { value: 'handleFeedback', label: '待审核' },
      //     { value: 'approvelist', label: '待审批' },
      //     { value: 'endFeedback', label: '审批通过' },
      //     { value: 'overFeedback', label: '审批不通过' }]*/
      // }
      // ],
      // bustypeOptions: [{
      //   value: '5',
      //   label: '企业异常名录列入'
      // }, {
      //   value: '6',
      //   label: '企业异常名录异议'
      // }, {
      //   value: '7',
      //   label: '企业异常名录移出'
      // }, {
      //   value: '11',
      //   label: '个体工商户标记'
      // }, {
      //   value: '12',
      //   label: '个体工商户恢复'
      // }, {
      //   value: '13',
      //   label: '农民专业合作社列入'
      // }, {
      //   value: '14',
      //   label: '农民专业合作社移出'
      // }, {
      //   value: '15',
      //   label: '严重违法失信列入'
      // }, {
      //   value: '16',
      //   label: '严重违法失信异议'
      // }, {
      //   value: '17',
      //   label: '严重违法失信移出'
      // }, {
      //   value: '55',
      //   label: '严重违法失信拟列入'
      // }, {
      //   value: '51',
      //   label: '批量吊销'
      // }, {
      //   value: '52',
      //   label: '撤销'
      // }, {
      //   value: '53',
      //   label: '复议'
      // }, {
      //   value: '54',
      //   label: '诉讼'
      // }, {
      //   value: '61',
      //   label: '联合惩戒锁定'
      // }, {
      //   value: '62',
      //   label: '联合惩戒解锁'
      // }, {
      //   value: '31',
      //   label: '撤销登记案件'
      // },
      // // {
      // //   value: '30',
      // //   label: '年报公示信息异议反馈'
      // // },
      // // {
      // //   value: '32',
      // //   label: '问题处置反馈'
      // // },
      // {
      //   value: '33',
      //   label: '严重违法信用修复'
      // },
      // // {
      // //   value: '36',
      // //   label: '信用风险异议申请'
      // // },
      // {
      //   value: '40',
      //   label: '列异勘误'
      // }, {
      //   value: '41',
      //   label: '列严勘误'
      // }
      // ],
      user: JSON.parse(sessionStorage.getItem('user')),
      pageParam: {
        customParamMap: {},
        curPage: 1,
        total: 0,
        pageSize: 10
      },
      pageAbnParam: {
        customParamMap: {},
        curPage: 1,
        total: 0,
        pageSize: 10
      },
      pageParamhistory: {
        customParamMap: {},
        curPage: 1,
        total: 0,
        pageSize: 10
      },
      entTypeOptions: [
        { value: '0', label: '企业' },
        { value: '1', label: '个体户' },
        { value: '2', label: '农合' }
      ],
      operatestatusOptions: [
        {value: '0', label: '移出'},
        {value: '1', label: '列入'},
      ],
      exportQueryData: {}, // 导出excel的查询条件, 用于导出excel, 每轮查询成功后赋值
      REGSTATEList: [],
    }
  },
  mounted() {
    //this.tabBusType = sessionStorage.getItem('businessQuery')
    // console.log(this.tabBusType)
    // if(this.tabBusType == 'abnormal'){
      getConstant('CD71').then(res => {
        if (res.code === 0) {
          const list = []
          res.data.forEach(each => {
            list.push({
              value: each.code,
              label: each.name
            })
          })
          this.reasonList = list
          console.log(list)
        }
      })
    //}
    getSliceTreeList().then(res =>{
      if (res.code === 0) {
        console.log(res,'sliceTree')
        this.sliceOptions = res.data
      }
    })
    this.setBustypeOptions()
    // 加载办理机关
    this.getOrgList()
    this.getCache()
    //this.loadPage()
    // 监管业务状态
    getBaseCodeList('CA19').then(res => {
      if (res.code === 0) {
        this.REGSTATEList = res.data
      }
    })
  },
  methods: {
    exportAbnListFile(){
      if (this.pageAbnParam.total === 0) {
        this.$message({
          message: '未查询到数据，无法导出！',
          type: 'warning'
        })
        return
      }
      const data = JSON.parse(JSON.stringify(this.exportQueryData))
      // const pageParam = this.pageAbnParam
      // pageParam.paramMap = {
      //   ...this.searchAbnForm
      // }
      this.abnLoading = true
      exportAbnListFile(data).then(res => {
        const url = window.URL.createObjectURL(res, { type: 'application/vnd.ms-excel;charset=utf-8' })
        const link = document.createElement('a')
        link.style.display = 'none'
        link.href = url
        link.setAttribute('download', '经营异常名单.xlsx')
        link.click()
      }).finally(() => this.abnLoading = false)
    },
    setBustypeOptions(){
      if(this.tabBusType == 'abnormal'){
        this.searchForm.busType = ['71','72','73','5','6','11','13']
        this.bustypeOptions = [{
          value: '71',
          label: '企业地址批量列入'
        }, {
          value: '72',
          label: '个体户地址批量列入'
        }, {
          value: '73',
          label: '农合地址批量列入'
        }, {
          value: '5',
          label: '企业异常名录列入'
        }, {
          value: '6',
          label: '企业异常名录异议'
        }, {
          value: '11',
          label: '个体工商户标记'
        }, {
          value: '13',
          label: '农民专业合作社列入'
        }
        ]
      }else if(this.tabBusType == 'illegal'){
        this.searchForm.busType = ['15','16']
        this.bustypeOptions = [{
          value: '15',
          label: '严重违法失信列入'
        }, {
          value: '16',
          label: '严重违法失信异议'
        }
        ]
      }else if(this.tabBusType == 'credit'){
        this.searchForm.busType = ['7','12','14','33']
        this.bustypeOptions = [{
          value: '7',
          label: '企业异常名录移出'
        },{
          value: '12',
          label: '个体工商户恢复'
        }, {
          value: '14',
          label: '农民专业合作社移出'
        },
          {
            value: '33',
            label: '严重违法信用修复'
          }
        ]
      }else if(this.tabBusType == 'revoke'){
        this.searchForm.busType = ['51','52','53','54']
        this.bustypeOptions = [{
          value: '51',
          label: '批量吊销'
        }, {
          value: '52',
          label: '撤销'
        }, {
          value: '53',
          label: '复议'
        }, {
          value: '54',
          label: '诉讼'
        }
        ]
      }else if(this.tabBusType == 'cancel'){
        this.searchForm.busType = ['31']
        this.bustypeOptions = [{
          value: '31',
          label: '撤销登记案件'
        }
        ]
      }else if(this.tabBusType == 'punish'){
        this.searchForm.busType = ['61','62']
        this.bustypeOptions = [{
          value: '61',
          label: '联合惩戒锁定'
        }, {
          value: '62',
          label: '联合惩戒解锁'
        }
        ]
      }else if(this.tabBusType == 'correct'){
        this.searchForm.busType = ['40','41']
        this.bustypeOptions = [{
          value: '40',
          label: '列异勘误'
        }, {
          value: '41',
          label: '列严勘误'
        }
        ]
      }
      /*
      this.bustypeOptions = [{
          value: '71',
          label: '企业地址批量列入'
        }, {
          value: '72',
          label: '个体户地址批量列入'
        }, {
          value: '73',
          label: '农合地址批量列入'
        }, {
          value: '5',
          label: '企业异常名录列入'
        }, {
          value: '6',
          label: '企业异常名录异议'
        }, {
          value: '7',
          label: '企业异常名录移出'
        }, {
          value: '11',
          label: '个体工商户标记'
        }, {
          value: '12',
          label: '个体工商户恢复'
        }, {
          value: '13',
          label: '农民专业合作社列入'
        }, {
          value: '14',
          label: '农民专业合作社移出'
        }, {
          value: '15',
          label: '严重违法失信列入'
        }, {
          value: '16',
          label: '严重违法失信异议'
        },
        {
          value: '33',
          label: '严重违法信用修复'
        }, {
          value: '51',
          label: '批量吊销'
        }, {
          value: '52',
          label: '撤销'
        }, {
          value: '53',
          label: '复议'
        }, {
          value: '54',
          label: '诉讼'
        }, {
          value: '61',
          label: '联合惩戒锁定'
        }, {
          value: '62',
          label: '联合惩戒解锁'
        }, {
          value: '31',
          label: '撤销登记案件'
        }, {
          value: '40',
          label: '列异勘误'
        }, {
          value: '41',
          label: '列严勘误'
        }
      ]
      */
    },
    getOrgList() {
      queryAllOrg().then(res => {
        if (res.code === 0) {
          res.data.forEach(each => {
            this.orgList.push(each)
          })
        }
      })
    },
    getCache() {
      let pageParam = null
      let tableData = null
      let pageAbnParam = null
      let abnTableData = null
      if(this.tabBusType == 'abnormal'){
        pageParam = sessionStorage.getItem('pageParam-abnormal')
        tableData = sessionStorage.getItem('tableData-abnormal')
        pageAbnParam = sessionStorage.getItem('pageAbnParam-abnormal')
        abnTableData = sessionStorage.getItem('abnTableData-abnormal')
      }else if(this.tabBusType == 'illegal'){
        pageParam = sessionStorage.getItem('pageParam-illegal')
        tableData = sessionStorage.getItem('tableData-illegal')
      }else if(this.tabBusType == 'credit'){
        pageParam = sessionStorage.getItem('pageParam-credit')
        tableData = sessionStorage.getItem('tableData-credit')
      }else if(this.tabBusType == 'revoke'){
        pageParam = sessionStorage.getItem('pageParam-revoke')
        tableData = sessionStorage.getItem('tableData-revoke')
      }else if(this.tabBusType == 'cancel'){
        pageParam = sessionStorage.getItem('pageParam-cancel')
        tableData = sessionStorage.getItem('tableData-cancel')
      }else if(this.tabBusType == 'punish'){
        pageParam = sessionStorage.getItem('pageParam-punish')
        tableData = sessionStorage.getItem('tableData-punish')
      }else if(this.tabBusType == 'correct'){
        pageParam = sessionStorage.getItem('pageParam-correct')
        tableData = sessionStorage.getItem('tableData-correct')
      }
      if (pageParam) {
        this.pageParam = JSON.parse(pageParam)
        this.searchForm = this.pageParam.customParamMap
      }
      if (tableData) {
        this.tableData = JSON.parse(tableData)
      }
      if (pageAbnParam) {
        this.pageAbnParam = JSON.parse(pageAbnParam)
        this.searchAbnForm = this.pageAbnParam.customParamMap
      }
      if (abnTableData) {
        this.abnTableData = JSON.parse(abnTableData)
      }
    },
    showMoreCriteria() {
      this.showMore = !this.showMore
    },
    dateFormat(row) {
      if (this.$util.isEmpty(row.sendertime)) return ''
      return this.$util.formatDate.format(new Date(Date.parse(row.sendertime)), 'yyyy-MM-dd')
    },
    tableRowClassName({ row, rowIndex }) {
      if (rowIndex % 2 === 1) {
        return 'warning-row'
      }
    },
    // 公示提示
    tip() {
      return this.$message.error('该主体公示中')
    },
    gotoPrintNotice(row) {
      this.$router.push({ path: '/abnormal/company/dissent/ApplyNoticePrint', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
    },
    // 搜索
    search() {
      this.pageParam.customParamMap = this.searchForm
      this.pageParam.curPage = 1
      this.loadPage()
      // sessionStorage.setItem('pageParam-zhcx', JSON.stringify(this.pageParam))
      // sessionStorage.setItem('tableData-zhcx', JSON.stringify(this.tableData))
    },
    searchAbnList(){
      this.pageAbnParam.customParamMap = this.searchAbnForm
        // 判断是否填写了条件
      let flag = false
      // obj的遍历
      Object.keys(this.pageAbnParam.customParamMap).forEach(key => {
        if (key === 'regulatory') {
          if (this.pageAbnParam.customParamMap[key].length > 0) {
            flag = true
          }
        } else {
          if (this.pageAbnParam.customParamMap[key] !== '' && this.pageAbnParam.customParamMap[key] !== null) {
            flag = true
          }
        }
      })
      if (!flag) {
        this.$message({
          message: '请至少填写一个查询条件！',
          type: 'warning'
        })
        return
      }
      this.exportQueryData = null
      this.pageAbnParam.curPage = 1
      this.loadAbnPage()
    },
    // 分页多选插件回调
    removeCallback(index, row) {
      this.$refs.multipleTable.toggleRowSelection(row, false)
    },
    // 全选按钮事件
    selectAll() {
      const table = this.$refs.multipleTable
      for (const i in table.data) {
        const each = table.data[i]
        table.toggleRowSelection(each, true)
      }
    },
    // 选项变更事件
    handleSelectionChange(selectData) {
      const cancel = []
      if (selectData.length !== this.tableData.length) {
        // 找出没有选中的内容
        this.tableData.forEach(each => {
          for (const i in selectData) {
            const atom = selectData[i]
            if (atom.pripid === each.pripid) {
              return
            }
          }
          cancel.push(each)
        })
      }
      // 取消选中的内容
      for (const i in cancel) {
        const each = cancel[i]
        let index
        for (const j in this.selection) {
          const select = this.selection[j]
          if (select.pripid === each.pripid) {
            index = parseInt(j)
            break
          }
        }
        if (index !== undefined) {
          this.selection.splice(index, 1)
        }
      }
      // 增加选中内容
      for (const i in selectData) {
        const each = selectData[i]
        let exist = false
        for (const j in this.selection) {
          const select = this.selection[j]
          if (select.pripid === each.pripid) {
            exist = true
            break
          }
        }
        if (!exist) {
          this.selection.push(each)
        }
      }
    },
    // 当前分页改变
    pageIndexChange(curPage) {
      this.pageParam.curPage = curPage
      this.loadPage()
    },
    pageIndexChangeAbn(curPage) {
      this.pageAbnParam.curPage = curPage
      this.loadAbnPage()
    },
    // 分页大小改变
    pageSizeChange(pageSize) {
      this.pageParam.pageSize = pageSize
      this.loadPage()
    },
    pageSizeChangeAbn(pageSize) {
      this.pageAbnParam.pageSize = pageSize
      this.loadAbnPage()
    },
    // 当前分页改变
    historyPageIndexChange(curPage) {
      this.pageParamhistory.curPage = curPage
      this.loadPage()
    },
    // 分页大小改变
    historyPageSizeChange(pageSize) {
      this.pageParamhistory.pageSize = pageSize
      this.loadPage()
    },
    // 加载分页
    loadAbnPage() {
      if (this.abnLoading) return
      let data = {}
      if(this.exportQueryData){
        this.exportQueryData.curPage = this.pageAbnParam.curPage
        this.exportQueryData.pageSize = this.pageAbnParam.pageSize
        data = JSON.parse(JSON.stringify(this.exportQueryData))
      }else{
        data = this.pageAbnParam
      }
      this.abnLoading = true
      queryAbnList(data).then(res => {
        this.exportQueryData = JSON.parse(JSON.stringify(data))
        this.abnLoading = false
        const list = []
        let i = 1
        const pageStart = (this.pageAbnParam.curPage - 1) * this.pageAbnParam.pageSize
        res.data.records.forEach(each => {
          each.index = pageStart + i++
          if(each.operatestatus == '0'){
            each.operatestatus = '移出'
          }else if(each.operatestatus == '1'){
            each.operatestatus = '列入'
          }else if(each.operatestatus == '2'){
            each.operatestatus = '撤销'
          }else if(each.operatestatus == '3'){
            each.operatestatus = '修改'
          }else if(each.operatestatus == '4'){
            each.operatestatus = 'z'
          }
          list.push(each)
        })

        this.abnTableData = list
        this.pageAbnParam.total = res.data.total
        sessionStorage.setItem('pageAbnParam-abnormal', JSON.stringify(this.pageAbnParam))
        sessionStorage.setItem('abnTableData-abnormal', JSON.stringify(this.abnTableData))
      })
    },
    loadPage() {
      if (this.loading) return
      this.loading = true
      this.historyloading = true
      this.pageParam.customParamMap.userId = this.user.primaryKey
      businessQuery(this.pageParam).then(res => {
        this.loading = false
        const list = []
        let i = 1
        const pageStart = (this.pageParam.curPage - 1) * this.pageParam.pageSize
        res.data.records.forEach(each => {
          each.index = pageStart + i++
          each.busTypeName = this.$util.getTaskBusinessTypeName(each.bustype)
          each.busStatusName = this.$util.getTaskNodeName(each.currentNodeOrBizStatus)
          each.isPassDissentApply = false
          if (each.bustype === '6') {
            isPassDissentApply(each.bustype, each.bizseqid).then(res => {
              each.isPassDissentApply = res.data.isPass
              each.acceptstat = res.data.acceptstat
              // 若通过受理审批环节且不同意 当前业务状态：不予受理
              if (each.isPassDissentApply === true && each.acceptstat === '0') {
                each.busStatusName = '不予受理'
              }
            })
          }
          list.push(each)
        })
        this.tableData = list
        this.pageParam.total = res.data.total
        if(this.tabBusType == 'abnormal'){
          sessionStorage.setItem('pageParam-abnormal', JSON.stringify(this.pageParam))
          sessionStorage.setItem('tableData-abnormal', JSON.stringify(this.tableData))
        }else if(this.tabBusType == 'illegal'){
          sessionStorage.setItem('pageParam-illegal', JSON.stringify(this.pageParam))
          sessionStorage.setItem('tableData-illegal', JSON.stringify(this.tableData))
        }else if(this.tabBusType == 'credit'){
          sessionStorage.setItem('pageParam-credit', JSON.stringify(this.pageParam))
          sessionStorage.setItem('tableData-credit', JSON.stringify(this.tableData))
        }else if(this.tabBusType == 'revoke'){
          sessionStorage.setItem('pageParam-revoke', JSON.stringify(this.pageParam))
          sessionStorage.setItem('tableData-revoke', JSON.stringify(this.tableData))
        }else if(this.tabBusType == 'cancel'){
          sessionStorage.setItem('pageParam-cancel', JSON.stringify(this.pageParam))
          sessionStorage.setItem('tableData-cancel', JSON.stringify(this.tableData))
        }else if(this.tabBusType == 'punish'){
          sessionStorage.setItem('pageParam-punish', JSON.stringify(this.pageParam))
          sessionStorage.setItem('tableData-punish', JSON.stringify(this.tableData))
        }else if(this.tabBusType == 'correct'){
          sessionStorage.setItem('pageParam-correct', JSON.stringify(this.pageParam))
          sessionStorage.setItem('tableData-correct', JSON.stringify(this.tableData))
        }
        // sessionStorage.setItem('pageParam-zhcx', JSON.stringify(this.pageParam))
        // sessionStorage.setItem('tableData-zhcx', JSON.stringify(this.tableData))
        if (this.searchForm.searchName !== '') {
          this.searchNameP = this.searchForm.searchName
        } else {
          this.searchNameP = ''
        }
      })

      if(this.tabBusType == 'abnormal' || this.tabBusType == 'illegal' || this.tabBusType == 'credit'){
        this.pageParamhistory.customParamMap = this.pageParam.customParamMap
        queryOldeBusness(this.pageParamhistory).then(res => {
          this.historyloading = false
          const list = []
          let i = 1
          const pageStart = (this.pageParamhistory.curPage - 1) * this.pageParamhistory.pageSize
          res.data.records.forEach(each => {
            each.index = pageStart + i++
            each.busTypeName = this.$util.getTaskBusinessTypeName(each.bustype)
            each.busStatusName = this.$util.getTaskNodeName(each.currentNodeOrBizStatus)
            each.isPassDissentApply = false
            list.push(each)
          })
          this.historyData = list
          this.pageParamhistory.total = res.data.total
        })
      }
    },
    // 查看详情跳转
    showInfo(row) {
      if (this.searchNameP === '') {
        switch (row.bustype) {
          // 地址异常名录列入
          case '71': this.$router.push({ path: '/abnormal/company/inclusion/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
            break
          // 异常名录列入
          case '5': this.$router.push({ path: '/abnormal/company/inclusion/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
            break
          // 异常名录异议
          case '6': if (row.lastNode === 'acceptDissentEnter' || row.lastNode === 'handleDissentAccept') {
            this.$router.push({ path: '/abnormal/company/dissent/applyInfo', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, acceptstat: row.acceptstat }})
          } else {
            this.$router.push({ path: '/abnormal/company/dissent/approveInfo', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, acceptstat: row.acceptstat }})
          }
            break
          // 异常名录移出
          // case '7': this.$router.push({ path: '/abnormal/company/remove/RemoveExamine', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, onlyShow: true }})
          case '7': this.$router.push({ path: '/abnormal/company/repairInfo', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
            break
          // 个体工商户地址批量列入
          case '72': this.$router.push({ path: '/abnormal/individual/mark/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
            break
          // 个体工商户标记
          case '11': this.$router.push({ path: '/abnormal/individual/mark/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
            break
          // 个体工商户恢复
          case '12': this.$router.push({ path: '/abnormal/company/repairInfo', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
            break
          // 农民专业合作社列入
          case '73': this.$router.push({ path: '/abnormal/agriculture/inclusion/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
            break
          // 农民专业合作社列入
          case '13': this.$router.push({ path: '/abnormal/agriculture/inclusion/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
            break
          // 农民专业合作社移出
          case '14': this.$router.push({ path: '/abnormal/company/repairInfo', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
            break
          // 严重违法列入
          case '15': this.$router.push({ path: '/illegal/listed/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
            break
          // 严重违法异议
          case '16': this.$router.push({ path: '/illegal/dissent/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
            break
          // 严重违法移出
          case '17': this.$router.push({ path: '/illegal/remove/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
            break
          // 严重违法拟列入
          case '55': this.$router.push({ path: '/illegal/inclusion/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
            break
          // 冒用他人身份
          case '31': {
            // const day = this.$util.DateDiff(row.signtime)
            // if (row.currentNodeOrBizStatus === 'cancelShow' && day < 46) return this.$message.warning('主体公示中,剩' + (45 - day) + '天期满才可操作')
            // this.$router.push({ path: '/cancel/' + (row.currentNodeOrBizStatus === 'startAccept' ? 'cancelTodo' : row.currentNodeOrBizStatus === 'handleCancel' ? 'cancelCheck' : row.currentNodeOrBizStatus === 'approvalCancel' ? 'cancelPass' : row.currentNodeOrBizStatus === 'resultAddEnter' || row.currentNodeOrBizStatus === 'cancelShow' ? 'resultAccept' : row.currentNodeOrBizStatus === 'handleResultAdd' ? 'resultReview' : 'resultExamine'), query: { bizseq: row.bizseqid, currentNode: row.currentNodeOrBizStatus, workflowId: row.workflowid, tasklistid: row.tasklistid, onlyShow: true }})
            this.$router.push({ path: '/cancel/cancelInfo', query: { bizseq: row.bizseqid, currentNode: row.currentNodeOrBizStatus, workflowId: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true', currentNodeOrBizStatus: row.currentNodeOrBizStatus }})
            break
          }
          // 批量吊销
          case '51':
            const bizStatus = row.currentNodeOrBizStatus

            switch (row.currentNodeOrBizStatus) {
              // active_top: 1 立案审批环节
              case '1': this.$router.push({ path: '/revoke/register/accept', query: { active_top: 1, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '2': this.$router.push({ path: '/revoke/register/review', query: { active_top: 1, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '3': this.$router.push({ path: '/revoke/register/examine', query: { active_top: 1, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              // active_top: 2 调查与听证环节
              case '4': this.$router.push({ path: '/revoke/investigate/accept', query: { active_top: 2, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '8': this.$router.push({ path: '/revoke/hearing/review', query: { active_top: 2, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '9': this.$router.push({ path: '/revoke/hearing/examine', query: { active_top: 2, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '24': this.$router.push({ path: '/revoke/hearing/review', query: { active_top: 2, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '25': this.$router.push({ path: '/revoke/hearing/review', query: { active_top: 2, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '26': this.$router.push({ path: '/revoke/hearing/review', query: { active_top: 2, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              // active_top: 4 决定环节
              case '10': this.$router.push({ path: '/revoke/decision/accept', query: { active_top: 3, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '11': this.$router.push({ path: '/revoke/decision/review', query: { active_top: 3, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '12': this.$router.push({ path: '/revoke/decision/department', query: { active_top: 3, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '27': this.$router.push({ path: '/revoke/decision/department', query: { active_top: 3, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '28': this.$router.push({ path: '/revoke/decision/department', query: { active_top: 3, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '29': this.$router.push({ path: '/revoke/decision/department', query: { active_top: 3, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '13': this.$router.push({ path: '/revoke/decision/examine', query: { active_top: 3, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              // active_top: 5 送达与结束环节
              case '14': this.$router.push({ path: '/revoke/send/accept', query: { active_top: 5, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '15': this.$router.push({ path: '/revoke/send/review', query: { active_top: 5, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '16': this.$router.push({ path: '/revoke/send/examine', query: { active_top: 5, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '22': this.$router.push({ path: '/revoke/noRegister/', query: { bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case 'endRevoke':this.$router.push({ path: '/revoke/send/examine', query: { active_top: 6, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
            }
            break
          // 撤销复议诉讼
          case '52':
            this.$router.push({ path: '/revoke/revokeDetail', query: { handleType: '1', currentNode: row.currentNodeOrBizStatus, bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, onlyShow: true }})
            break
          // 联合惩戒锁定
          case '61': this.$router.push({ path: '/punish/inclusion/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
            break
          // 联合惩戒解锁
          case '62': this.$router.push({ path: '/punish/remove/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
            break
          // 总局一体化平台
          // 列异勘误
          case '40':
            this.$router.push({ path: '/abnormal/corrections/detail', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, searchName: '1' }})
            break
          // 列严勘误
          case '41':
            this.$router.push({ path: '/illegal/corrections/detail', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, searchName: '1' }})
            break
          // 信用修复管理-严重违法信用修复
          case '33':
            this.$router.push({ path: '/comprehensive/creditDetails', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, searchName: '1' }})
            break
          // const path = '/crss/#/credit/repair/details' + '?bizseq=' + row.bizseqid + '&workflowid=' + row.workflowid + '&currentNode=' + row.currentNodeOrBizStatus + '&tasklistid=' + row.tasklistid
          // // this.$router.push({ path: '/credit/repair/' + (row.currentNodeOrBizStatus === 'serIllegalEnter' ? 'accept' : row.currentNodeOrBizStatus === 'handleSerIllegal' ? 'review' : 'examine'), query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          // console.log(path)
          // this.jumpUrl(path)
          // break
        }
      } else {
        switch (row.bustype) {
          // 信用修复管理-严重违法信用修复
          case '33':
            this.$router.push({ path: '/comprehensive/creditDetails', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, searchName: '1' }})
            break
          // const path = '/crss/#/credit/repair/details' + '?bizseq=' + row.bizseqid + '&workflowid=' + row.workflowid + '&currentNode=' + row.currentNodeOrBizStatus + '&tasklistid=' + row.tasklistid
          // // this.$router.push({ path: '/credit/repair/' + (row.currentNodeOrBizStatus === 'serIllegalEnter' ? 'accept' : row.currentNodeOrBizStatus === 'handleSerIllegal' ? 'review' : 'examine'), query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
          // console.log(path)
          // this.jumpUrl(path)
          // break
          // 异常名录地址批量列入
          case '71': this.$router.push({ path: '/abnormal/company/inclusion/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, searchName: this.searchNameP }})
            break
          case '5': this.$router.push({ path: '/abnormal/company/inclusion/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, searchName: this.searchNameP }})
            break
          // 异常名录异议
          case '6': if (row.lastNode === 'acceptDissentEnter' || row.lastNode === 'handleDissentAccept') {
            this.$router.push({ path: '/abnormal/company/dissent/applyInfo', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, acceptstat: row.acceptstat }})
          } else {
            this.$router.push({ path: '/abnormal/company/dissent/approveInfo', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, acceptstat: row.acceptstat }})
          }
            break
          // 异常名录移出
          // case '7': this.$router.push({ path: '/abnormal/company/remove/RemoveExamine', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, onlyShow: true }})
          case '7': this.$router.push({ path: '/abnormal/company/repairInfo', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, searchName: this.searchNameP, type: 'company' }})
            break
          // 个体工商户地址批量列入标记
          case '72': this.$router.push({ path: '/abnormal/individual/mark/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, searchName: this.searchNameP }})
            break
          // 个体工商户标记
          case '11': this.$router.push({ path: '/abnormal/individual/mark/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, searchName: this.searchNameP }})
            break
          // 个体工商户恢复
          case '12': this.$router.push({ path: '/abnormal/company/repairInfo', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, searchName: this.searchNameP, type: 'individual' }})
            break
          // 农民专业合作社地址批量列入
          case '73': this.$router.push({ path: '/abnormal/agriculture/inclusion/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, searchName: this.searchNameP }})
            break
          // 农民专业合作社列入
          case '13': this.$router.push({ path: '/abnormal/agriculture/inclusion/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, searchName: this.searchNameP }})
            break
          // 农民专业合作社移出
          case '14': this.$router.push({ path: '/abnormal/company/repairInfo', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, searchName: this.searchNameP, type: 'farmer' }})
            break
          // 严重违法列入
          case '15': this.$router.push({ path: '/illegal/listed/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid }})
            break
          // 严重违法列入
          case '55': this.$router.push({ path: '/illegal/inclusion/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, searchName: this.searchNameP }})
            break
          // 严重违法异议
          case '16': this.$router.push({ path: '/illegal/dissent/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, searchName: this.searchNameP }})
            break
          // 严重违法移出
          case '17': this.$router.push({ path: '/illegal/remove/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, searchName: this.searchNameP }})
            break
          // 冒用他人身份
          case '31': {
            const day = this.$util.DateDiff(row.signtime)
            // if (row.currentNodeOrBizStatus === 'cancelShow' && day < 46) return this.$message.warning('主体公示中,剩' + (45 - day) + '天期满才可操作')
            // this.$router.push({ path: '/cancel/' + (row.currentNodeOrBizStatus === 'startAccept' ? 'cancelTodo' : row.currentNodeOrBizStatus === 'handleCancel' ? 'cancelCheck' : row.currentNodeOrBizStatus === 'approvalCancel' ? 'cancelPass' : row.currentNodeOrBizStatus === 'resultAddEnter' || row.currentNodeOrBizStatus === 'cancelShow' ? 'resultAccept' : row.currentNodeOrBizStatus === 'handleResultAdd' ? 'resultReview' : 'resultExamine'), query: { bizseq: row.bizseqid, currentNode: row.currentNodeOrBizStatus, workflowId: row.workflowid, tasklistid: row.tasklistid, onlyShow: true, searchName: this.searchNameP }})
            this.$router.push({ path: '/cancel/cancelInfo', query: { bizseq: row.bizseqid, currentNode: row.currentNodeOrBizStatus, workflowId: row.workflowid, tasklistid: row.tasklistid, onlyShow: true, currentNodeOrBizStatus: row.currentNodeOrBizStatus }})
            break
          }
          // 批量吊销
          case '51':
            const bizStatus = row.currentNodeOrBizStatus

            switch (row.currentNodeOrBizStatus) {
              // active_top: 1 立案审批环节
              case '1': this.$router.push({ path: '/revoke/register/accept', query: { active_top: 1, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '2': this.$router.push({ path: '/revoke/register/review', query: { active_top: 1, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '3': this.$router.push({ path: '/revoke/register/examine', query: { active_top: 1, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              // active_top: 2 调查与听证环节
              case '4': this.$router.push({ path: '/revoke/investigate/accept', query: { active_top: 2, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '8': this.$router.push({ path: '/revoke/hearing/review', query: { active_top: 2, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '9': this.$router.push({ path: '/revoke/hearing/examine', query: { active_top: 2, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '24': this.$router.push({ path: '/revoke/hearing/review', query: { active_top: 2, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '25': this.$router.push({ path: '/revoke/hearing/review', query: { active_top: 2, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '26': this.$router.push({ path: '/revoke/hearing/review', query: { active_top: 2, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              // active_top: 4 决定环节
              case '10': this.$router.push({ path: '/revoke/decision/accept', query: { active_top: 3, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '11': this.$router.push({ path: '/revoke/decision/review', query: { active_top: 3, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '12': this.$router.push({ path: '/revoke/decision/department', query: { active_top: 3, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '27': this.$router.push({ path: '/revoke/decision/department', query: { active_top: 3, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '28': this.$router.push({ path: '/revoke/decision/department', query: { active_top: 3, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '29': this.$router.push({ path: '/revoke/decision/department', query: { active_top: 3, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '13': this.$router.push({ path: '/revoke/decision/examine', query: { active_top: 3, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              // active_top: 5 送达与结束环节
              case '14': this.$router.push({ path: '/revoke/send/accept', query: { active_top: 5, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '15': this.$router.push({ path: '/revoke/send/review', query: { active_top: 5, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '16': this.$router.push({ path: '/revoke/send/examine', query: { active_top: 5, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case '22': this.$router.push({ path: '/revoke/noRegister/', query: { bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
              case 'endRevoke':this.$router.push({ path: '/revoke/send/examine', query: { active_top: 6, active: 3, bizStatus: bizStatus, bizseq: row.bizseqid, workflowid: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
                break
            }
            break
          // 撤销复议诉讼
          case '52':
            this.$router.push({ path: '/revoke/revokeDetail', query: { handleType: '1', currentNode: row.currentNodeOrBizStatus, bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, onlyShow: 'true' }})
            break
          // 联合惩戒锁定
          case '61': this.$router.push({ path: '/punish/inclusion/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, searchName: this.searchNameP }})
            break
          // 联合惩戒解锁
          case '62': this.$router.push({ path: '/punish/remove/info', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, searchName: this.searchNameP }})
            break
          // 总局一体化平台
          // 列异勘误
          case '40':
            this.$router.push({ path: '/abnormal/corrections/detail', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, searchName: '1' }})
            break
          // 列严勘误
          case '41':
            this.$router.push({ path: '/illegal/corrections/detail', query: { bizseq: row.bizseqid, workflowId: row.workflowid, tasklistid: row.tasklistid, searchName: '1' }})
            break
        }
      }
    }
  }
}
</script>

<style lang="scss" scoped>
.main-content{
  background: #fff;
  padding: 10pt;
  .content-header{
    background: white;
    .label-name_1 {
      text-align: right;
      display: inline-block;//转成行内快，才可定义宽度
      width: 140px;
      font-size: $table-content-font-size;
    }
    .search-input-box_1{
      display: inline-block;
      width: calc(100% - 230px);
    }
    .label-name_2 {
      text-align: right;
      display: inline-block;//转成行内快，才可定义宽度
      width: 140px;
      font-size: $table-content-font-size;
    }
    .search-input-box_2{
      display: inline-block;
      width: calc(100% - 230px);
    }
    .label-name_3 {
      text-align: right;
      display: inline-block;//转成行内快，才可定义宽度
      width: 140px!important;
      font-size: $table-content-font-size;
    }
    .custom{
      width: calc(100% - 150px);
    }
    .search-input{
      cursor: pointer;
    }
    .body{
      padding: 20px 0;
      border-top:none;
      margin-bottom: 40PX;
    }
  }
  .content-body{
    background:white
  }
  .header{
    .title{
      font-weight: 600;
      font-size: 1.2rem;
    }
  }
  .page-box{margin:10PX;text-align:right}
  .mb10{
    margin-bottom: 10px;
  }
  .btn-box{
    display: inline-block;
    padding-left: 10px;
  }
}
/deep/.el-input__inner{
  height: 28px;
}
</style>
